> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payin/submit-a-payin/argentina/credit-card.md).

# Credit Card

This endpoint allows you to submit a payin by CreditCard in Argentina.

To submit a CreditCard payin, you need to tokenize the card first, and then use the returned `token` to submit the payment.

{% hint style="info" %}
Argentina CreditCard supports partial refund.
{% endhint %}

### Step 1: Tokenize Card

Use the Card Tokenization API to tokenize the card information.

<mark style="color:green;">POST</mark> `https://security-test.pagsmile.com/card/tokenize`

#### Request Body

<table><thead><tr><th width="178.12109375">Parameter</th><th width="101.65234375">Type</th><th>Required</th><th>Constraints</th><th>Description</th></tr></thead><tbody><tr><td>app_id</td><td>string</td><td>Required</td><td>Max length: 32</td><td>The merchant application ID assigned by Pagsmile.</td></tr><tr><td>format</td><td>string</td><td>Required</td><td>Fixed value: <code>JSON</code></td><td>Request format.</td></tr><tr><td>version</td><td>string</td><td>Required</td><td>Fixed value: <code>2.0</code></td><td>API version.</td></tr><tr><td>timestamp</td><td>string</td><td>Required</td><td>Format: <code>yyyy-MM-dd HH:mm:ss</code>; max length: 19</td><td>Request timestamp.</td></tr><tr><td>card.card_no</td><td>string</td><td>Required</td><td>Card number; use a valid test card number in the sandbox environment</td><td>Card number.</td></tr><tr><td>card.issuer</td><td>string</td><td>Required</td><td>Example: <code>visa</code></td><td>Card issuer.</td></tr><tr><td>card.holder.name</td><td>string</td><td>Required</td><td>-</td><td>Cardholder name.</td></tr><tr><td>card.cvv</td><td>string</td><td>Required</td><td>3 or 4 digits</td><td>Card CVV.</td></tr><tr><td>card.valid_thru_year</td><td>string</td><td>Required</td><td>Format: <code>yyyy</code></td><td>Card expiration year.</td></tr><tr><td>card.valid_thru_month</td><td>string</td><td>Required</td><td>Format: <code>MM</code>; value: <code>01</code>–<code>12</code></td><td>Card expiration month.</td></tr></tbody></table>

#### Request Sample

```json
{
  "app_id": "162***33",
  "format": "JSON",
  "version": "2.0",
  "timestamp": "2026-07-06 11:08:10",
  "card": {
    "card_no": "4012***12",
    "issuer": "visa",
    "holder": {
      "name": "test uuu yyy"
    },
    "cvv": "123",
    "valid_thru_year": "2027",
    "valid_thru_month": "12"
  }
}
```

#### Response Sample

```json
{
  "code": "10000",
  "msg": "Success",
  "token": "psct_ec031b***8eae"
}
```

### Step 2: Submit Payin with Token

Use the returned `token` to submit a CreditCard payin.

<mark style="color:green;">POST</mark> `https://gateway-test.pagsmile.com/trade/pay`

#### Request Body

<table><thead><tr><th width="261.8359375">Parameter</th><th>Type</th><th>Required</th><th>Constraints</th><th>Description</th></tr></thead><tbody><tr><td>app_id</td><td>string</td><td>Required</td><td>Max length: 32</td><td>The merchant application ID assigned by Pagsmile.</td></tr><tr><td>timestamp</td><td>string</td><td>Required</td><td>Format: <code>yyyy-MM-dd HH:mm:ss</code>; max length: 19</td><td>Request timestamp.</td></tr><tr><td>version</td><td>string</td><td>Required</td><td>Fixed value: <code>2.0</code></td><td>API version.</td></tr><tr><td>order_amount</td><td>string</td><td>Required</td><td>Supports up to 2 decimal places</td><td>Payment amount.</td></tr><tr><td>order_currency</td><td>string</td><td>Required</td><td>Fixed value: <code>ARS</code></td><td>Payment currency.</td></tr><tr><td>method</td><td>string</td><td>Required</td><td>Fixed value: <code>CreditCard</code></td><td>Payment method.</td></tr><tr><td>out_trade_no</td><td>string</td><td>Required</td><td>Max length: 64</td><td>Merchant order number. Must be unique.</td></tr><tr><td>subject</td><td>string</td><td>Required</td><td>Max length: 128</td><td>Payment subject or order title.</td></tr><tr><td>notify_url</td><td>string</td><td>Required</td><td>Valid URL</td><td>The URL to receive payment notifications.</td></tr><tr><td>buyer_id</td><td>string</td><td>Required</td><td>Max length: 64</td><td>Merchant-side user ID.</td></tr><tr><td>token</td><td>string</td><td>Required</td><td>Card token returned by the card tokenization API</td><td>The tokenized card information used to submit the card payment.</td></tr><tr><td>customer.identification.type</td><td>string</td><td>Required</td><td>Example: one of <code>CUIT</code>, <code>DNI</code></td><td>Customer identification type.</td></tr><tr><td>customer.identification.number</td><td>string</td><td>Required</td><td>Required length: 11 digits for CPF, 14 digits for CNPJ</td><td>Customer identification number.</td></tr></tbody></table>

#### Request Sample

```json
{
  "app_id": "1629***33",
  "timestamp": "2026-07-06 11:08:15",
  "version": "2.0",
  "order_amount": "61.6",
  "order_currency": "ARS",
  "method": "CreditCard",
  "out_trade_no": "out_193***00",
  "subject": "Test",
  "notify_url": "http://demo.testcase.cn/callback/success",
  "buyer_id": "buyer_1108",
  "token": "psct_ec031b***8eae",
  "customer": {
    "identification": {
      "type": "CUIT",
      "number": "502**7"
    }
  }
}
```

#### Response Sample

```json
{
  "code": "10000",
  "msg": "Success",
  "sub_code": "200",
  "sub_msg": "",
  "out_trade_no": "53***4604",
  "prepay_id": "c2E***F9Ba6076",
  "trade_no": "2026***087",
  "trade_status": "PROCESSING",
  "web_url": ""
}
```
